Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.component
Interface InterfaceBinding

All Superinterfaces:
  MessageProcessor

All Known Implementing Classes:
  CallInterfaceBinding, DefaultInterfaceBinding, DefaultRequestInterfaceBinding, DynamicRequestInterfaceBinding, IBeanBinding

    public interface InterfaceBinding

extends MessageProcessor

Method Summary
`Object` | `createProxy(Object target)` This wires the dynamic proxy to the service object.
`ImmutableEndpoint` | `getEndpoint()`
`Class<?>` | `getInterface()`
`String` | `getMethod()`
`MuleEvent` | `process(MuleEvent event)` This method is responsible for routing the Message via the MuleSession.
`void` | `setEndpoint(ImmutableEndpoint endpoint)`
`void` | `setInterface(Class<?> interfaceClass)`
`void` | `setMethod(String method)`

Method Detail

### process

    MuleEvent process(MuleEvent event)
                      throws MuleException

  This method is responsible for routing the Message via the MuleSession. The logic for this method will change for each type of router depending on expected behaviour. For example, a MulticastingRouter might just iterate through the list of assoaciated endpoints sending the message. Another type of router such as the ExceptionBasedRouter will hit the first endpoint, if it fails try the second, and so on. Most router implementations will extends the FilteringOutboundRouter which implements all the common logic need for a router.

  Specified by:
    `process` in interface `MessageProcessor`
  Parameters:
    `message` - the message to send via one or more endpoints on this router
    `session` - the session used to actually send the event
  Returns:
    a result message if any from the invocation. If the synchronous flag is false a null result will always be returned.
  Throws:
    `MessagingException` - if any errors occur during the sending of messages
    `MuleException`
  Since:
    2.1 the synchronous argument has been removed. Instead use the synchronous attribute of the endpoint you are dispatching to.
  See Also:
    `FilteringOutboundRouter`, `ExceptionBasedRouter`, `MulticastingRouter`

### setEndpoint

    void setEndpoint(ImmutableEndpoint endpoint)
                     throws MuleException

  Throws:
    `MuleException`

### getEndpoint

    ImmutableEndpoint getEndpoint()

### getInterface

    Class<?> getInterface()

### setInterface

    void setInterface(Class<?> interfaceClass)

### getMethod

    String getMethod()

### setMethod

    void setMethod(String method)

### createProxy

    Object createProxy(Object target)

  This wires the dynamic proxy to the service object.

  Parameters:
    `target` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.